Bug 33551 - System.Net.SmtpClient uses an invalid HELO name
Summary: System.Net.SmtpClient uses an invalid HELO name
Status: RESOLVED FIXED
Alias: None
Product: Class Libraries
Classification: Mono
Component: System (show other bugs)
Version: master
Hardware: PC Linux
: --- normal
Target Milestone: Untriaged
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2015-09-01 13:45 UTC by Thomas Jepp
Modified: 2015-12-27 03:02 UTC (History)
2 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:


Attachments

Description Thomas Jepp 2015-09-01 13:45:39 UTC
System.Net.SmtpClient uses Dns.GetHostName() to get the DNS name it uses for HELO.

On Windows (MS.NET) and Mono on Debian, this returns only the first part of the machine's domain name - but the name for HELO should be a FQDN.

An an example:
FQDN: test.example.com
Dns.GetHostName() returns "test"

SmtpClient should use Dns.GetHostEntry(Dns.GetHostName()).HostName to ensure it has a valid FQDN. This returns the correct full FQDN on MS.NET and Mono.
Comment 1 Thomas Jepp 2015-09-01 13:57:52 UTC
I've submitted a pull request: https://github.com/mono/mono/pull/2020
Comment 2 Miguel de Icaza [MSFT] 2015-12-27 03:02:15 UTC
This pull request was merged

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.


Create a new report for Bug 33551 on Developer Community or GitHub if you have new information to add and do not yet see a matching report.

  • Export the original title and description: Developer Community HTML or GitHub Markdown
  • Copy the title and description into the new report. Adjust them to be up-to-date if needed.
  • Add your new information.

In special cases on GitHub you might also want the comments: GitHub Markdown with public comments


Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.

Related Links: